{{- $favicon := resources.GetMatch $.Site.Params.IconPath -}}
{{- if eq $favicon nil -}}
{{- errorf "Favicon not found: %s" $.Site.Params.IconPath -}}
{{- end -}}
<link rel="icon" type="image/png" sizes="32x32" href='{{ ($favicon.Resize "32x32" ).Permalink }}'>
<link rel="icon" type="image/png" sizes="16x16" href='{{ ($favicon.Resize "16x16" ).Permalink }}'>
<link rel="apple-touch-icon" sizes="180x180" href='{{ ($favicon.Resize "180x180" ).Permalink }}'>
{{- $manifest :=  resources.Get "site.webmanifest" | resources.ExecuteAsTemplate "site.webmanifest" . -}}
<link rel="manifest" href="{{ $manifest.Permalink }}">
{{- with $.Site.Params.branding.color -}}
<meta name="theme-color" content="{{ . }}" />
{{- end -}}